OTP::Layer::base_data Struct Reference

The base_data struct. More...

`#include <base.h>`

Inheritance diagram for OTP::Layer::base_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| base_data::streamSize More...
void | iStream (PDU::Stream) override
| base_data::iStream More...
void | oStream (PDU::Stream) const override
| base_data::oStream More...
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

uint8_t | footer_options
| footer options
uint8_t | footer_length
| footer length
UUID::uuid | cid
| component UUID
uint32_t | folio_number
| folio number
uint16_t | page
| current number
uint16_t | last_page
| last page
uint8_t | options
| options
uint32_t | reserved
| reserved
std::string | name
| name
PDU::Pdu | payload
| next PDU

## Detailed Description

The base_data struct.

## Member Function Documentation

## iStream()

void OTP::Layer::base_data::iStream | ( | PDU::Stream | stream | ) |

override

base_data::iStream

Parameters

  stream |

## oStream()

void OTP::Layer::base_data::oStream | ( | PDU::Stream | stream | ) | const

override

base_data::oStream

Parameters

  stream |

## streamSize()

size_t OTP::Layer::base_data::streamSize | ( |  | ) | const

overridevirtual

base_data::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/base.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/base.cpp